---
layout: docs
page_title: accounts set-password - Command
description: >-
  The "accounts set-password" command sets the password for account resources.
---

# accounts set-password

Command: `boundary accounts set-password`

The `accounts set-password` command lets you set the password on account-type
resources, if the types match and the operation is allowed by the given account
type.

## Examples

The following example sets the password on a password-type account. If you execute the command
without the `-password` parameter, you are prompted to enter the password
value.

```shell-session
$ boundary accounts set-password -id acctpw_1234567890
Please enter the password (it will be hidden):
Please enter it one more time for confirmation:
```

**Example output:**

<CodeBlockConfig hideClipboard>

```plaintext
Account information:
  Auth Method ID:      ampw_1234567890
  Created Time:        Wed, 12 Jul 2023 12:20:54 PDT
  ID:                  acctpw_1234567890
  Type:                password
  Updated Time:        Wed, 12 Jul 2023 22:08:12 PDT
  Version:             2

  Scope:
    ID:                global
    Name:              global
    Type:              global

  Authorized Actions:
    no-op
    read
    update
    delete
    set-password
    change-password

  Attributes:
    Login Name:        admin
```

</CodeBlockConfig>

The output displays the account information.

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary accounts set-password [options] [args]
```

</CodeBlockConfig>

### Command options

- `-id` `(string: "")` - The ID of the account on which to set a password.
- `-password` `(string: "")` - The password for the account. Use this value with `env://` or `file://` syntax. If you do not specify a password, the command prompts you to enter the password in a non-echoing way.
- `-version` `(int: 0)` - The version of the account against which to perform an
   update operation. If you do no specify a version, the command performs a check-and-set
   automatically.

@include 'cmd-option-note.mdx'
